import request from '@/utils/new-request'

export function _getFeeType(target) {
  return request({
    url: '/FBAIncidental/GetFeeType',
    method: 'get',
    timeout: 20 * 1000,
    params: { target: target }
  })
}

export function _saveFee(data) {
  return request({
    url: '/FBAIncidental/SaveFee',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function _getIncidentals(data) {
  return request({
    url: '/FBAIncidental/GetFBA_Incidentals',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}
export function _getFBAIncidentalDto(data) {
  return request({
    url: '/FBAIncidental/GetFBAIncidentalDto',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function _setComfig(data) {
  return request({
    url: '/FBAIncidental/SetComfig',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function _getFees(OrderId) {
  return request({
    url: '/FBAIncidental/GetFBAFee',
    method: 'get',
    timeout: 20 * 1000,
    params: { OrderId }
  })
}
